/**
  人员授权管理
 @author laiyh
 @Date 2020-10-09

 */

import axios from '@/utils/req';
import request from '@/utils/request';
import handleSearchCondition from '@/utils/searchable';
const base = `/authsvr/v2/roleauthinfo`;

//人员视图 --人员列表
export const staffUserPage = `${base}/staffUserPage/_search`;

// 人员视图--角色列表

export function getStaffRoleList(data) {
  return axios.get(`${base}/staffRoleList`, data);
}

// 保存人员角色
export function saveRoleStaff(data) {
  return axios.post(`${base}/staff`, data);
}

// 角色视图 -- 全部应用列表
export const roleViewApplication = `/authsvr/v2/applicationinfo/appQutoList/all`;

// 角色视图 --  根据appId查询角色列表
export const getRoleListByAppid = `${base}/roleRoleList/_search`;

export const userTableUrl = `${base}/roleStaffList/_search`

// 角色视图 -- 人员列表
export function persionListByOrgRole({page, size, searchCondition}) {
    
  return request({
    url: `${base}/roleStaffList/_search`,
    method: 'POST',
    data: handleSearchCondition({ page, size, searchCondition })
  });
}
// 角色视图 --  勾选人员
export function getChecked(params) {
  return axios.get(`${base}/checked`, params);
}

// 角色视图 -保存
export function savePersion(data) {
  return axios.post(`${base}/role`, data);
}

// 业务域
export function getBusiness(value) {
  return axios.get(`/duceap/v2/resource/codelist/code/DM_ROLE_LEVEL`);
}
